### Class

# GUPnPAV DIDLLiteDescriptor

#### Description [src]

    class GUPnPAV.DIDLLiteDescriptor : GObject.Object
    {
      /* No available fields */
    }

DIDL-Lite Descriptor

`GUPnPDIDLLiteDescriptor` respresents a DIDL-Lite descriptor (desc) element.

#### Ancestors

- GObject

#### Constructors

###### gupnp_didl_lite_descriptor_new

Create a new GUPnPDIDLLiteDescriptor oobject.

#### Instance methods

###### gupnp_didl_lite_descriptor_get_content

Get the content of the `descriptor`.

###### gupnp_didl_lite_descriptor_get_id

Get the ID of the `descriptor`.

###### gupnp_didl_lite_descriptor_get_metadata_type

Get the metadata type of the `descriptor`.

###### gupnp_didl_lite_descriptor_get_name_space

Get the name space associated with the `descriptor`.

###### gupnp_didl_lite_descriptor_get_xml_node

Get the pointer to desc node in XML document.

###### gupnp_didl_lite_descriptor_set_content

Set the content of the `descriptor`.

###### gupnp_didl_lite_descriptor_set_id

Set the ID of the `descriptor`.

###### gupnp_didl_lite_descriptor_set_metadata_type

Set the metadata type of the `descriptor`.

###### gupnp_didl_lite_descriptor_set_name_space

Set the name space associated with the `descriptor`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GUPnPAV.DIDLLiteDescriptor:content

The content of this descriptor.

###### GUPnPAV.DIDLLiteDescriptor:id

The ID of this descriptor.

###### GUPnPAV.DIDLLiteDescriptor:metadata-type

The type of this descriptor.

###### GUPnPAV.DIDLLiteDescriptor:name-space

The name space associated with this descriptor.

###### GUPnPAV.DIDLLiteDescriptor:xml-doc

The reference to XML document containing this object.

###### GUPnPAV.DIDLLiteDescriptor:xml-node

The pointer to desc node in XML document.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPAVDIDLLiteDescriptorClass {
      GObjectClass parent_class;
      void (* _gupnp_reserved1) (
    void
      );
      void (* _gupnp_reserved2) (
    void
      );
      void (* _gupnp_reserved3) (
    void
      );
      void (* _gupnp_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gupnp_reserved1: void (* _gupnp_reserved1) ( void )`

  No description available.

`_gupnp_reserved2: void (* _gupnp_reserved2) ( void )`

  No description available.

`_gupnp_reserved3: void (* _gupnp_reserved3) ( void )`

  No description available.

`_gupnp_reserved4: void (* _gupnp_reserved4) ( void )`

  No description available.